doctrine (3.6.7+dfsg-2) unstable; urgency=medium

  * Skip test failing with PHPUnit 13.2

 -- David Prévot <taffit@debian.org>  Thu, 11 Jun 2026 07:51:34 +0200

doctrine (3.6.7+dfsg-1) unstable; urgency=medium

  [ Grégoire Paris ]
  * Use correct matrix element name
  * Address string default expression deprecation
  * Avoid adding the same foreign key twice for STI
  * Avoid passing arrays to get_class

 -- David Prévot <taffit@debian.org>  Thu, 28 May 2026 08:03:53 +0200

doctrine (3.6.5+dfsg-1) unstable; urgency=medium

  [ Vikram Vaswani ]
  * fix:  allow findBy when date/time criteria are strings (see #12339)

  [ Tim (robske_110) ]
  * fix: Do not change readonly id when deleting (#9538)

  [ Alexander M. Turek ]
  * Fix "Install Composer" link on getting started documentation

  [ HypeMC ]
  * Move leftover tests to new directory structure
  * Fix errors in EBNF (#12430)
  * Document composite foreign keys (#12433)

  [ Matt Van Horn ]
  * docs: fix EntityManager transactional reference to wrapInTransaction

  [ Grégoire Paris ]
  * Add ORDER BY clause to more test cases

  [ Oliver Fabel ]
  * fix: remove misplaced order by in join with conditions (#12438)

 -- David Prévot <taffit@debian.org>  Mon, 11 May 2026 12:11:24 +0200

doctrine (3.6.3+dfsg-2) unstable; urgency=medium

  * Compatibility with recent PHPUnit (13.1)

 -- David Prévot <taffit@debian.org>  Sat, 02 May 2026 13:16:28 +0200

doctrine (3.6.3+dfsg-1) unstable; urgency=medium

  [ Alexander M. Turek ]
  * Fix code style (#12395)
  * Raise proper exception for invalid arguments in Base::add() (#12394)

  [ Grégoire Paris ]
  * Group Doctrine workflow updates together
  * Add ORDER BY clause to SELECT query

  [ Ahmed EBEN HASSINE ]
  * Add documentation for enumType mapping with PHP backed enums

  [ David Prévot ]
  * Upgrade upstream signing key to new packet format
  * Update Standards-Version to 4.7.4

 -- David Prévot <taffit@debian.org>  Sun, 05 Apr 2026 16:55:59 +0200

doctrine (3.6.2+dfsg-2) unstable; urgency=medium

  * Compatibility with recent PHPUnit (13)

 -- David Prévot <taffit@debian.org>  Sat, 07 Feb 2026 11:26:22 +0100

doctrine (3.6.2+dfsg-1) unstable; urgency=medium

  [ vvaswani ]
  * fix: update index to be serialized in __sleep() (#12366)

 -- David Prévot <taffit@debian.org>  Sun, 01 Feb 2026 11:40:16 +0100

doctrine (3.6.1+dfsg-1) unstable; urgency=medium

  [ HypeMC ]
  * Fix result cache examples in docs
  * Fix docs regarding query hints (#12328)

  [ Grégoire Paris ]
  * Avoid lazy object initialization when initializing read-only property

  [ Vladislav Sultanov ]
  * Handle int-backed enums for values stored as string values in MySQL ENUM
    columns (#12275)

  [ David Prévot ]
  * Convert d/watch to version 5

 -- David Prévot <taffit@debian.org>  Sat, 10 Jan 2026 08:48:25 +0100

doctrine (3.6.0+dfsg-1) unstable; urgency=medium

  [ HypeMC ]
  * Add commands for inspecting configured listeners

  [ Reio Remma ]
  * Extract enum cases from enumType in DiscriminatorColumn Check
    DiscriminatorMap keys match enum cases. Test values are populated from
    enum cases and mismatched values throw an exception. Fixes #11794

  [ Grégoire Paris ]
  * Deprecate FieldMapping::$default
  * Deprecate string default expressions

  [ pmaasz ]
  * add member variable hints to the querybuilder for hints to be added to the
    query

  [ Alexis Lefebvre ]
  * doc: do not mention `InverseJoinColumn` since it’s only with PHP 8.0

  [ Sadetdin EYILI ]
  * docs: add xml example for Single Table Inheritance mapping (#12169)

  [ David Prévot ]
  * Update Standards-Version to 4.7.3

 -- David Prévot <taffit@debian.org>  Fri, 26 Dec 2025 15:59:49 +0100

doctrine (3.5.8+dfsg-1) unstable; urgency=medium

  [ Grégoire Paris ]
  * Add ORDER BY clause to more test cases

  [ Alexander M. Turek ]
  * Fix PHPStan and test errors after DBAL 4.4 and Symfony 7.4 releases (#12301)
  * Removes Guides from our dependencies (#12303)
  * Explicitly set a cache in testDisablingXmlValidationIsPossible (#12307)
  * Allow Symfony 8 (#12308)
  * Remove obsolete VarExporter feature detection (#12309)

 -- David Prévot <taffit@debian.org>  Tue, 02 Dec 2025 13:45:27 +0100

doctrine (3.5.7+dfsg-1) unstable; urgency=medium

  [ Grégoire Paris ]
  * Undo merge from 3.6.x into 3.5.x

 -- David Prévot <taffit@debian.org>  Sat, 15 Nov 2025 14:05:24 +0100

doctrine (3.5.6+dfsg-1) unstable; urgency=medium

  [ Grégoire Paris ]
  * Address default expression deprecation

  [ Alexander M. Turek ]
  * Allow Symfony 8 (#12110)

  [ Elliot Bruneel ]
  * fix: handling of empty array in SQL condition generation

  [ David Prévot ]
  * debian/control:
    + Update nocheck flags
    + Remove Rules-Requires-Root

 -- David Prévot <taffit@debian.org>  Tue, 11 Nov 2025 09:50:23 +0100

doctrine (3.5.3+dfsg-1) unstable; urgency=medium

  [ Matthias Pigulla ]
  * Fix `IN`/`NOT IN` expression handling and support enums when matching on
    to-many-collections
  * Revert "Fix fields of transient classes being considered duplicate with
    `reportFieldsWhereDeclared` (#11769)"
  * Fix collection filtering API for IN/NOT IN comparisons that require type
    conversions
  * Do not eagerly set metadata from `ResolveTargetEntityListener` (#12174)
  * Avoid triggering a deprecation notice in doctrine/collections

  [ Grégoire Paris ]
  * Use PHPUnit 11 when possible
  * Add missing "Test" suffix

  [ Alexander M. Turek ]
  * Prefer non-deprecated AbstractAsset API (#12142)
  * Handle quoted PK columns properly on DBAL 4 (#12208)
  * Ignore DBAL deprecation that we cannot fix (yet) (#12218)

  [ Lucas Mirloup ]
  * docs: generation strategies differences between DBAL 3 and 4

  [ Benjamin Eberlei ]
  * Remove Database and Model First chapters that said little of value.
  * [GH-9219] Add support for toIterable over mixed or scalar results. (#12187)

  [ Christian Flothmann ]
  * do not call setAccessible() on PHP >= 8.1 (#12182)
  * use the empty string instead of null as an array offset (#12181)

  [ Matteo Beccati ]
  * Avoid using LIBRARY as table name (#12170)

  [ eltharin ]
  * bugfix - add fieldAlias for entities in dto

  [ David Prévot ]
  * debian/control: Document nocheck flags

 -- David Prévot <taffit@debian.org>  Tue, 28 Oct 2025 13:54:21 +0100

doctrine (3.5.2+dfsg-2) unstable; urgency=medium

  * Another PHPUnit 12 workaround

 -- David Prévot <taffit@debian.org>  Tue, 26 Aug 2025 08:52:19 +0200

doctrine (3.5.2+dfsg-1) unstable; urgency=medium

  * Upload to unstable now that trixie has been released

  [ Gerhard Seidel ]
  * fix: calling scheduleForInsert twice

  [ Michael Voříšek ]
  * BasicEntityPersister: refactor $values variable into $placeholders
  * Unify JoinedSubclassPersister dequeue
  * Add 2nd level cache test for insert without post-inserted ID

  [ Alexander M. Turek ]
  * Don't partially mock the AbstractPlatform class (#12114)

 -- David Prévot <taffit@debian.org>  Tue, 12 Aug 2025 11:47:51 +0200

doctrine (3.5.1+dfsg-1) experimental; urgency=medium

  [ Grégoire Paris ]
  * Remove branchName from unmaintained branch
  * Update baseline because of doctrine/dbal 4.3.0
  * Remove if statement
  * Quote parts of the table name
  * Address deprecations from doctrine/dbal (#12098)
  * Deprecate ClassMetadata::$reflFields

  [ Jan Nedbal ]
  * Fix unhandled ParameterType case for binary PKs

  [ Willem Mouwen ]
  * fix: Convert BackedEnum to scalar value when binding a parameter

  [ Andrii Dembitskyi ]
  * :book: Actualize code block to be compatible with DBAL v4, use modern PHP

  [ David Prévot ]
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Fri, 08 Aug 2025 08:14:29 +0200

doctrine (3.5.0+dfsg-1) experimental; urgency=medium

  [ Marco Pivetta ]
  * #11977 implemented simplistic (and ugly) batch handing of `INSERT`
    operations in `UnitOfWork#executeInserts()`

  [ Grégoire Paris ]
  * Deprecate methods for configuring no longer configurable features
  * Deprecate not using native lazy objects on PHP 8.4+
  * Deprecate more proxies-related methods or calls
  * Provide upgrade path to new ORMSetup::create* signature
  * Deprecate proxy autoloader and class name resolver

  [ Alexander M. Turek ]
  * Detect DBAL's number type (#11781)

  [ jannes ]
  * Add index mapping to Column

  [ stlgaits ]
  * Add console completion for entityName param of orm:mapping:describe command

  [ Benjamin Eberlei ]
  * Only throw PHP 8.4 requirement exception when enabling native lazy objects.

  [ Christian Flothmann ]
  * do not register the legacy proxy class name resolver with enabled native
    lazy ghost

 -- David Prévot <taffit@debian.org>  Wed, 02 Jul 2025 13:25:50 +0200

doctrine (3.4.3+dfsg-1) experimental; urgency=medium

  [ Stefan Gehrig ]
  * adds detection of literals/result variables at the beginning of an
    order by item with arithmetic expression

  [ Christophe Coevoet ]
  * Clean the handling of proxy initialization in the UnitOfWork

 -- David Prévot <taffit@debian.org>  Sat, 28 Jun 2025 07:20:39 +0200

doctrine (3.4.1+dfsg-1) experimental; urgency=medium

  [ Grégoire Paris ]
  * Enable native lazy objects by default
  * Make proxyDir and proxyNs nullable and optional
  * Ensure proxies implementations behave the same on entity not found
  * Revert "add capability to use allfields sql notation"

  [ eltharin ]
  * repair code block bad showing

 -- David Prévot <taffit@debian.org>  Tue, 24 Jun 2025 07:52:28 +0200

doctrine (3.4.0+dfsg-1) experimental; urgency=medium

  * New upstream release, uploaded to experimental during the freeze

 -- David Prévot <taffit@debian.org>  Mon, 16 Jun 2025 13:49:59 +0200

doctrine (3.3.3+dfsg-1) unstable; urgency=medium

  [ Christian Flothmann ]
  * favor Table::addPrimaryKeyConstraint() over Table::setPrimaryKey()
  * replace Index::overrules() with custom checks
  * no longer use Table::columnsAreIndexed()
  * use the platform to quote table names
  * do not use deprecated foreign key constraint features
  * [#6823] pass unquoted identifier folding to AbstractPlatform
  * disable detecting modified indexes with DBAL 4.3
  * do not use deprecated primary key constraint features
  * prefer primary key constraints over Index::isPrimary()

 -- David Prévot <taffit@debian.org>  Sat, 03 May 2025 08:01:38 +0200

doctrine (3.3.2+dfsg-3) unstable; urgency=medium

  * Use DoesNotPerformAssertions attribute

 -- David Prévot <taffit@debian.org>  Mon, 24 Feb 2025 08:29:57 +0100

doctrine (3.3.2+dfsg-2) unstable; urgency=medium

  * Modernize PHPUnit syntax
  * Revert "Force system dependencies loading"

 -- David Prévot <taffit@debian.org>  Fri, 21 Feb 2025 19:19:12 +0100

doctrine (3.3.2+dfsg-1) unstable; urgency=medium

  [ HypeMC ]
  * Fix fields of transient classes being considered duplicate with
    `reportFieldsWhereDeclared`

  [ Jonny Eom ]
  * UPGRADE: Document QueryBuilder::setParameters() Type enforcement

  [ Grégoire Paris ]
  * Display Doctrine deprecations when running PHPUnit
  * Address quoteIdentifier() deprecation

 -- David Prévot <taffit@debian.org>  Thu, 06 Feb 2025 07:09:53 +0100

doctrine (3.3.1+dfsg-3) unstable; urgency=medium

  * Drop version from build-dependencies

 -- David Prévot <taffit@debian.org>  Mon, 13 Jan 2025 19:24:19 +0100

doctrine (3.3.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable now that PHPUnit 11 is ready

 -- David Prévot <taffit@debian.org>  Mon, 13 Jan 2025 12:47:41 +0100

doctrine (3.3.1+dfsg-1) experimental; urgency=medium

  [ MatteoFeltrin ]
  * allow classname in 'value' attribute of xml discriminator-mapping field

  [ Maciej Malarz ]
  * Allow overriding association's cascade

  [ Alexander M. Turek ]
  * Drop DBAL 2 compat code (#11674)

  [ Jan Nedbal ]
  * UPGRADE: mention `SqlWalker` deprecations in 3.3 (#11693)

  [ Dzmitry Bannik ]
  * Is not correctly generated sql when changed/switched sqlFilter parameters

  [ Asmir Mustafic ]
  * lazy and eager collection refresh

 -- David Prévot <taffit@debian.org>  Thu, 26 Dec 2024 08:53:59 +0100

doctrine (3.3.0+dfsg-1) experimental; urgency=medium

  [ Benjamin Eberlei ]
  * Reintroduce PARTIAL, but only for non-object hydration.
  * [GH-8471] undeprecate partials completely (#11647)
  * The MySQL/Maria EnumType added in DBAL 4.2 has a new known option
    "values". (#11657)

  [ Alexander M. Turek ]
  * Auto-detect values for EnumType columns (#11666)

  [ Grégoire Paris ]
  * Deprecate DatabaseDriver

  [ Tomas ]
  * Add `createNamedParameter` to `QueryBuilder`

  [ d-ph ]
  * Make CountWalker use COUNT(*) when $distinct is explicitly set to
    false (#11552)

  [ Marc Eichenseher ]
  * Remove unused $pkColumns when gathering columns (#11560)

  [ eltharin ]
  * Add support for using nested DTOs
  * add nested new in EBNF documentation
  * Allow named Arguments to be passed to Dto

  [ Vincent Langlet ]
  * Precise EntityRepository::count (#11579)

 -- David Prévot <taffit@debian.org>  Thu, 24 Oct 2024 06:29:17 +0200

doctrine (3.2.2+dfsg-1) experimental; urgency=medium

  [ Konrad Abicht ]
  * working-with-objects.rst: added missing white space

  [ Christophe Coevoet ]
  * Fix the support for custom parameter types in native queries

  [ Kyron Taylor ]
  * GH11551 - fix OneToManyPersister::deleteEntityCollection when using
    single-inheritence entity parent as targetEntity.

  [ Jan Nedbal ]
  * DQL custom functions: document TypedExpression

  [ Matthew Curland ]
  * Original entity data resolves inverse 1-1 joins

 -- David Prévot <taffit@debian.org>  Sun, 01 Sep 2024 16:00:46 +0200

doctrine (3.2.1+dfsg-1) experimental; urgency=medium

  [ Grégoire Paris ]
  * Use ramsey/composer-install in PHPBench workflow
  * Replace assertion with exception (#11489)
  * Remove unneeded CS rule
  * Address doctrine/persistence 3.3.3 release

  [ Alix Mauro ]
  * Consider usage of setFetchMode when checking for simultaneous usage of
    fetch-mode EAGER and WITH condition.

  [ Nicolas Grekas ]
  * Fix cloning entities

  [ Indra Gunawan ]
  * update EntityManager#transactional to EntityManager#wrapInTransaction

  [ Sam Mousa ]
  * fix(docs): use string value in `addAttribute`

  [ Daniel Black ]
  * ci: maintained and stable mariadb version (11.4 current lts) (#11490)

  [ Noemi Salaun ]
  * Skip joined entity creation for empty relation (#10889)

  [ Kyron Taylor ]
  * Fix OneToManyPersister::deleteEntityCollection missing discriminator
    column/value. (GH-11500)

  [ Michał Bundyra ]
  * Fetching entities with Composite Key Relations and null values

  [ Christophe Coevoet ]
  * Add the propoer void return type on the __load method of proxies

  [ Alexander M. Turek ]
  * Fix deprecated array access usage (#11517)

 -- David Prévot <taffit@debian.org>  Sat, 06 Jul 2024 11:17:05 +0200

doctrine (3.2.0+dfsg-1) experimental; urgency=medium

  [ Grégoire Paris ]
  * Deprecate --complete option of orm:schema-tool:update

  [ Ismail Özgün Turan ]
  * Deprecate obsolete and unnecessary properties from Table attribute (#11351)

  [ Alexey Prohorov ]
  * Using an integer as discriminator value with ORM v3

  [ Alexander M. Turek ]
  * Fix return type of Query::getLockMode() (#11462)
  * Deprecate SequenceGenerator implementing Serializable (#11468)
  * Deprecate the NotSupported exception (#11470)

  [ Nicolas Grekas ]
  * Remove readonly modifier from EntityManager

 -- David Prévot <taffit@debian.org>  Tue, 28 May 2024 18:49:33 +0200

doctrine (3.1.3+dfsg-1) experimental; urgency=medium

  [ Tomasz Ryba ]
  * Respect orderBy for EAGER fetch mode

  [ Simon Podlipsky ]
  * fix: always cleanup in `AbstractHydrator::toIterable()` (#11101)

  [ W0rma ]
  * Fix deprecation layer

 -- David Prévot <taffit@debian.org>  Wed, 01 May 2024 10:38:01 +0200

doctrine (3.1.2+dfsg-1) experimental; urgency=medium

  [ Thomas Landauer ]
  * [Documentation] Query Result Formats

  [ Alexander M. Turek ]
  * Fix BIGINT validation (#11414)

  [ David Prévot ]
  * Update Standards-Version to 4.7.0

 -- David Prévot <taffit@debian.org>  Fri, 19 Apr 2024 07:45:49 +0200

doctrine (3.1.1+dfsg-1) experimental; urgency=medium

  [ Dmitry Bannik ]
  * #11090 - Fix obtaining an identifier in cases where the hydration has not
    yet fully completed on eagerLoadCollections

  [ Grégoire Paris ]
  * Avoid array access

  [ Benjamin Eberlei ]
  * Do not schedule batch loading for target classes with composite identifier.
  * Improve lazy ghost performance by avoiding self-referencing closure.
    (#11376)
  * [GH-11185] Bugfix: do not use collection batch loading for indexBy
    assocations. (#11380)

  [ Valentin Karnauhov ]
  * Fixed proxy initialization for EnumReflectionProperty

 -- David Prévot <taffit@debian.org>  Sun, 24 Mar 2024 10:37:44 +0100

doctrine (3.1.0+dfsg-1) experimental; urgency=medium

  [ Grégoire Paris ]
  * Deprecate array access
  * Migrate more occurrences of array access
  * Translate comment into code and annotations
  * Deprecate invalid method call
  * Use class from persistence package  (#11330)

  [ Karoly Gossler ]
  * Add TokenType class (#11228)

  [ Alexander M. Turek ]
  * Remove references to deprecated constants from Lexer (#11234)
  * Throw if a variadic parameter contains unexpected named arguments (#11260)
  * Validate more variadic parameters (#11261)
  * Bump Doctrine Collections to 2.2 (#11325)

  [ Benjamin Eberlei ]
  * Refator array_map into simple loop for performance. (#11332)

  [ Rok Motaln ]
  * Fix SchemaTool::getSchemaFromMetadata() uniqueConstraint without a predefined name (#11314)

  [ David Prévot ]
  * debian/control: Build-depend on php-doctrine-collections (>> 2.2)
  * debian/copyright: Drop now useless entry

 -- David Prévot <taffit@debian.org>  Mon, 04 Mar 2024 11:46:11 +0100

doctrine (3.0.2+dfsg-1) experimental; urgency=medium

  [ Grégoire Paris ]
  * Remove extra word
  * Throw a full-fledged exception on invalid call

  [ Vincent Langlet ]
  * Fix sql walker phpdoc

  [ Alexander M. Turek ]
  * Address deprecations from Collection 2.2 (#11315)
  * Remove PHP 7 workarounds (#11324)

 -- David Prévot <taffit@debian.org>  Sun, 03 Mar 2024 10:00:56 +0100

doctrine (3.0.1+dfsg-1) experimental; urgency=medium

  [ Grégoire Paris ]
  * Treat '0' as a legitimate trim char

  [ Simon Podlipsky ]
  * fix: support array-type arg in QB variadic calls (#11242)

  [ Ondřej Mirtes ]
  * Remove broken assertion from DateAddFunction and DateSubFunction (#11243)

  [ Hanish Singla ]
  * Allow (Array)ParameterType in QueryBuilder

  [ David Prévot ]
  * Force system dependencies loading

 -- David Prévot <taffit@debian.org>  Sun, 25 Feb 2024 11:13:00 +0100

doctrine (3.0.0+dfsg-1) experimental; urgency=medium

  [ Grégoire Paris ]
  * Use a more specific type for getSqlStatements()

 -- David Prévot <taffit@debian.org>  Mon, 05 Feb 2024 00:50:56 +0100

doctrine (3.0.0~rc1+dfsg-1) experimental; urgency=medium

  [ Grégoire Paris ]
  * Flatten directory tree

  [ David Prévot ]
  * Adapt packaging to new usptream layout

 -- David Prévot <taffit@debian.org>  Tue, 30 Jan 2024 20:11:12 +0100

doctrine (3.0.0~beta2+dfsg-1) experimental; urgency=medium

  [ Alexander M. Turek ]
  * Prepare 2.17.0 (#11059)

  [ Grégoire Paris ]
  * Remove dependency on doctrine/common (#10998)

  [ David Prévot ]
  * Update build-dependencies

 -- David Prévot <taffit@debian.org>  Sun, 19 Nov 2023 11:01:14 +0100

doctrine (3.0.0~beta1+dfsg-1) experimental; urgency=medium

  * Upload beta to experimental

  [ David Prévot ]
  * Adapt dependencies to updated composer.json
  * Update exclusions for phpab
  * Extend clean

 -- David Prévot <taffit@debian.org>  Thu, 12 Oct 2023 13:39:50 +0200

doctrine (2.16.2+dfsg-1) unstable; urgency=medium

  [ David Arenas ]
  * Add back throws annotation to getSingleScalarResult (#10907)

  [ Matthias Pigulla ]
  * Mitigate problems with `EntityManager::flush()` reentrance since 2.16.0 (Take 2)

 -- David Prévot <taffit@debian.org>  Sun, 03 Sep 2023 09:24:19 +0530

doctrine (2.16.1+dfsg-1) unstable; urgency=medium

  [ Matthias Pigulla ]
  * Add an UPGRADE notice about the potential changes in commit order (#10866)
  * Turn identity map collisions from exception to deprecation notice (#10878)
  * Fix broken changeset computation for entities loaded through fetch=EAGER +
    using inheritance (#10884)
  * Document more clearly that the insert order is an implementation detail
    (#10883)
  * Use a dedicated exception for the check added in #10785 (#10881)

  [ Michael Olšavský ]
  * Fix UnitOfWork->originalEntityData is missing not-modified collections
    after computeChangeSet (#9301)

  [ Dieter Beck ]
  * Add possibility to set reportFieldsWhereDeclared to true in ORMSetup
    (#10865)

 -- David Prévot <taffit@debian.org>  Sat, 12 Aug 2023 08:36:05 +0200

doctrine (2.16.0+dfsg-1) unstable; urgency=medium

  [ Matthias Pigulla ]
  * Make Annotations/Attribute mapping drivers report fields for the classes
    where they are declared
  * Make EntityPersisters tell the UoW about post insert IDs early

  [ Vincent Langlet ]
  * Introduce FilterCollection#restore method (#10537)

  [ David Prévot ]
  * Compatibility with recent PHPUnit (10) (Closes: #1039747)

 -- David Prévot <taffit@debian.org>  Sat, 05 Aug 2023 11:14:12 +0200

doctrine (2.15.4+dfsg-1) unstable; urgency=medium

  [ Minh Vuong ]
  * fix: attach entity listener when reset metadata factory

  [ Grégoire Paris ]
  * Resort on Query::HINT_FORCE_PARTIAL_LOAD less
  * Follow recommendation about multiline type

  [ Matthias Pigulla ]
  * Avoid creating unmanaged proxy instances for referred-to entities during
    merge()

  [ Daniel Jurkovic ]
  * distinct() updates QueryBuilder state correctly

  [ Nicolas Grekas ]
  * Fix unserialize() errors when running tests on PHP 8.3 (#10803)
  * Fix cloning entities when using lazy-ghost proxies

  [ Rokas Mikalkėnas ]
  * Fixes recomputation of single entity change set when entity contains enum
    attributes.

 -- David Prévot <taffit@debian.org>  Mon, 24 Jul 2023 13:34:37 +0200

doctrine (2.15.3+dfsg-1) unstable; urgency=medium

  [ Grégoire Paris ]
  * Document how to produce DTOs with a result set mapping

  [ Matthias Pigulla ]
  * Defer removing removed entities from to-many collections until after
    transaction commit

  [ Thibault Buathier ]
  * revert: transform backed enum to value

  [ Nicolas Grekas ]
  * Don't call canEmulateSchemas in SchemaTool when possible (#10762)
  * Don't call deprecated getSQLResultCasing and
    usesSequenceEmulatedIdentityColumns when we know the platform (#10759)

  [ Michael Roterman ]
  * OneToManyPersister does not take custom identifier types into account for
    orphan removal.

  [ Vaidas ]
  * Restore document proxy state to uninitialized on load exception (#10645)

  [ Alexander Dmitryuk ]
  * Fix missing setFilterSchemaAssetsExpression in phpdoc (#10776)

 -- David Prévot <taffit@debian.org>  Sat, 24 Jun 2023 07:08:17 +0200

doctrine (2.15.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable now that bookworm has been released

 -- David Prévot <taffit@debian.org>  Sun, 11 Jun 2023 16:40:52 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog php-doctrine-orm`.
